@ECHO OFF
ECHO OFF
GOTO Begin
REM
REM     Program          :  ChkEL.bat
REM
REM     Version          :  1.01
REM     Started on       :  December 26, 2003
REM     Completed on     :  December 26, 2003
REM
REM     Description      :  ErrorLevel Checker.
REM
REM     Required modules :  None
REM     Dos required     :  Dos 6.0 or later
REM
REM     Notes - usage    :  See help (/? parameter)
REM     References       :  Level.bat by Timo Salmi on March 28, 1992
REM
REM     Authors          :  J.Hubb - planning
REM                         J.Hubb - programming
REM                         J.Hubb - debug session
REM     Authors address  :  J.Hubb
REM                         Indigo skyline
REM                         A'DAAR channel
REM

:Begin
IF "%1" == "[]CHKU[]" GOTO ChkUnit
IF "%1" == "[]SHOWEL[]" GOTO ShowEL
IF "%1" == "" GOTO Help

:RunProgram
SHIFT
CALL %0 %1 %2 %3 %4 %5 %6 %7 %8 %9

:ChkTen
IF ERRORLEVEL 250 GOTO Chk25x
FOR %%N IN (24 23 22 21 20 19 18 17 16 15 14 13 12 11 10 9 8 7 6 5 4 3 2 1) DO IF ERRORLEVEL %%N0 CHKEL []CHKU[] %%N
CHKEL []CHKU[]

:Chk25x
FOR %%N IN (255 254 253 252 251 250) DO IF ERRORLEVEL %%N CHKEL []SHOWEL[] %%N

:ChkUnit
FOR %%N IN (9 8 7 6 5 4 3 2 1 0) DO IF ERRORLEVEL %2%%N CHKEL []SHOWEL[] %2%%N

:ShowEL
ECHO.
ECHO ChkEL.bat 1.01 ; on December 26, 2003 by J.Hubb
ECHO.
ECHO ErrorLevel returned: %2
ECHO.
GOTO End

:Help
ECHO.
ECHO ChkEL.bat 1.01 ; on December 26, 2003 by J.Hubb
ECHO.
ECHO Syntax:
ECHO   CHKEL {ProgToBeRun} [ProgParameter [ProgParameter [...]]]
ECHO.
ECHO Runs the specified {ProgToBeRun} with specified parameters and
ECHO shows the errorlevel returned.
ECHO.
GOTO End

:End